- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# QItemEditorFactory Class Reference

Search for all occurrences

## Detailed Description

Definition at line 100 of file qitemeditorfactory.h.

`#include <qitemeditorfactory.h>`

List of all members.

## Public Member Functions
| QItemEditorFactory ()
virtual | ~QItemEditorFactory ()
virtual QWidget * | createEditor (QVariant::Type type, QWidget *parent) const
virtual QByteArray | valuePropertyName (QVariant::Type type) const
void | registerEditor (QVariant::Type type, QItemEditorCreatorBase *creator)
## Static Public Member Functions
static const QItemEditorFactory * | defaultFactory ()
static void | setDefaultFactory (QItemEditorFactory *factory)

## Constructor & Destructor Documentation

QItemEditorFactory | ( |  | ) | `[inline]`

Definition at line 103 of file qitemeditorfactory.h.

    {}

virtual ~QItemEditorFactory | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual QWidget* createEditor | ( | QVariant::Type | type,
|  | QWidget * | parent
| ) |  | const `[virtual]`

Search for all occurrences

virtual QByteArray valuePropertyName | ( | QVariant::Type | type | ) | const `[virtual]`

Search for all occurrences

void registerEditor | ( | QVariant::Type | type,
|  | QItemEditorCreatorBase * | creator
| ) |  |

Search for all occurrences

static const QItemEditorFactory* defaultFactory | ( |  | ) | `[static]`

Search for all occurrences

static void setDefaultFactory | ( | QItemEditorFactory * | factory | ) | `[static]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qitemeditorfactory.h

QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory
QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory QItemEditorFactory